<?xml version="1.0" encoding="utf-8"?>
<AstroMenaceAI name="AstroMenace AI Script">

<!-- Лететь - Выстрелить - Лететь быстрее (для PS type=2) -->
<AI num="100">
	<TimeSheet time="5" speed="20" fire="0"/>
	<TimeSheet time="1" speed="0" fire="1"/>
	<TimeSheet time="10" speed="35" fire="0"/>
</AI>

<AI num="1000">
	<TimeSheet time="5" speed="20" fire="0"/>
	<TimeSheet time="2" speed="0" fire="1"/>
	<TimeSheet time="10" acceler="3" fire="0"/>
</AI>


<AI num="101">
	<TimeSheet time="5" speed="18" fire="0"/>
	<TimeSheet time="3" speed="5"  fire="1"/>
</AI>

<!-- Dumb fire -->
<AI num="102">
	<TimeSheet time="2" rotz="10" rotacz="0.5" speed="15" fire="1"/>
	<TimeSheet time="4" rotz="-20" rotacz="0.5" speed="15" fire="1"/>
	<TimeSheet time="2" rotz="10" rotacz="0.5" speed="15" fire="1"/>
</AI>

<AI num="103">
	<TimeSheet time="0.8" speed="10" rotx="15" rotacx="0.45" fire="1"/>
	<TimeSheet time="1.6" speed="10" rotx="-30" rotacx="0.45" fire="0"/>
	<TimeSheet time="0.8" speed="10" rotx="15" rotacx="0.45" fire="0"/>
</AI>

<AI num="1030">
	<TimeSheet time="0.8" speed="10" rotx="-15" rotacx="0.45" fire="1"/>
	<TimeSheet time="1.6" speed="10" rotx="30" rotacx="0.45" fire="0"/>
	<TimeSheet time="0.8" speed="10" rotx="-15" rotacx="0.45" fire="0"/>
</AI>

<!-- Dumb fire with delay -->
<AI num="104">
	<TimeSheet time="5" speed="20" fire="0"/>
	<TimeSheet time="10" speed="20" fire="1"/>
</AI>

<AI num="105">
	<TimeSheet time="4" speed="12" fire="0"/>
	<TimeSheet time="1" roty="30" rotacy="0.3" fire="0"/>
	<TimeSheet time="1" roty="-30" rotacy="0.3" fire="0"/>
	<TimeSheet time="1" rotz="20" rotacz="0.2" fire="1"/>
	<TimeSheet time="2" rotz="-40" rotacz="0.2" fire="1"/>
	<TimeSheet time="1" rotz="20" rotacz="0.2" fire="1"/>
	<TimeSheet time="1" roty="-30" rotacy="0.3" fire="0"/>
	<TimeSheet time="1" roty="30" rotacy="0.3" fire="0"/>
	
</AI>

<AI num="106">
	<TimeSheet time="1" roty="10" rotacy="0.1" fire="1" acceler="0.5"/>
	<TimeSheet time="2" roty="-20" rotacy="0.1" fire="1" acceler="0.5"/>
	<TimeSheet time="1" roty="10" rotacy="0.1" fire="1" acceler="0.5"/>
</AI>

<!-- For fleeing from (right) side  -->
<AI num="108">
	<TimeSheet time="5" speed="40" roty="35" rotacy="0.07" acceler="2"/>
</AI>
<!-- For fleeing from (left) side -->
<AI num="109">
	<TimeSheet time="5" speed="40" roty="-35" rotacy="0.07" acceler="2"/>
</AI>


<AI num="110">
	<TimeSheet time="0.8" speed="15" rotz="20"  rotacz="0.2" fire="1"/>
	<TimeSheet time="1.6" speed="15" rotz="-40" rotacz="0.2" fire="1"/>
	<TimeSheet time="0.8" speed="15" rotz="20"  rotacz="0.2" fire="1"/>
</AI>

<!-- for corner-attack (Left) -->
<AI num="112">
	<TimeSheet time="7" speed="20" fire="0" roty="30" rotacy="0.06"/>
	<TimeSheet time="3" speed="5" fire="1"/>
	<TimeSheet time="10" speed="15" fire="0"/>
</AI>

<AI num="113">
	<TimeSheet time="7" speed="20" fire="0" roty="30" rotacy="0.06"/>
	<TimeSheet time="3" speed="5" fire="0"/>
	<TimeSheet time="10" speed="15" fire="0"/>
</AI>


<AI num="114">
	<TimeSheet time="7" speed="10" fire="0"/>
	<TimeSheet time="7" speed="10" fire="1"/>
</AI>

<AI num="115">
	<TimeSheet time="5" speed="20" fire="0"/>
	<TimeSheet time="1" speed="0" fire="1"/>
	<TimeSheet time="10" speed="35" fire="0" roty="76" rotacy="0.38"/>	
</AI>

<AI num="116">
	<TimeSheet time="5" speed="20" fire="0"/>
	<TimeSheet time="1" speed="0" fire="1"/>
	<TimeSheet time="10" speed="35" fire="0" roty="-76" rotacy="0.38"/>	
</AI>

<AI num="118">
	<TimeSheet time="3" speed="35"/>
	<TimeSheet time="0.5" speed="20" fire="1"/>
	<TimeSheet time="20" speed="40" fire="0" roty="45" rotacy="0.45"/>
</AI>

<AI num="119">
	<TimeSheet time="3" speed="35"/>
	<TimeSheet time="0.5" speed="20" fire="1"/>
	<TimeSheet time="20" speed="40" fire="0" roty="-45" rotacy="0.45"/>
</AI>

<AI num="120">
	<TimeSheet time="4" speed="15"/>
	<TimeSheet time="6" speed="1"/>
	<TimeSheet time="20" speed="1" fire="1"/>
	<TimeSheet time="20" speed="15"/>
</AI>

<AI num="121">
	<TimeSheet time="4" speed="15"/>
	<TimeSheet time="4" speed="1"/>
	<TimeSheet time="20" speed="1" fire="1"/>
	<TimeSheet time="20" speed="15"/>
</AI>
<AI num="122">
	<TimeSheet time="4" speed="15"/>
	<TimeSheet time="2" speed="1"/>
	<TimeSheet time="20" speed="1" fire="1"/>
	<TimeSheet time="20" speed="15"/>
</AI>

<AI num="123">
	<TimeSheet time="5" speed="15"/>
	<TimeSheet time="10" speed="-10"/>
	<TimeSheet time="2" speedup="5" speed="5"/>
	<TimeSheet time="10" speed="15" speedup="0" fire="1"/>
</AI>

<AI num="124">
	<TimeSheet time="5" speed="15"/>
	<TimeSheet time="12" speed="-10"/>
	<TimeSheet time="2" speedup="5" speed="5"/>
	<TimeSheet time="10" speed="15" speedup="0" fire="1"/>
</AI>

<AI num="125">
	<TimeSheet time="5" speed="15"/>
	<TimeSheet time="14" speed="-10"/>
	<TimeSheet time="2" speedup="5" speed="5"/>
	<TimeSheet time="10" speed="15" speedup="0" fire="1"/>
</AI>

<AI num="130">
	<TimeSheet time="10" speed="25" roty="90" rotacy="0.09" fire="0"/>
</AI>

<AI num="131">
	<TimeSheet time="10" speed="25" roty="-90" rotacy="0.09" fire="0"/>
</AI>

<AI num="132">
	<TimeSheet time="2" speed="25" roty="18" rotacy="0.09" fire="0"/>
	<TimeSheet time="8" speed="25" roty="72" rotacy="0.09" fire="1"/>
</AI>

<AI num="133">
	<TimeSheet time="2" speed="25" roty="-18" rotacy="0.09" fire="0"/>
	<TimeSheet time="8" speed="25" roty="-72" rotacy="0.09" fire="1"/>
</AI>

</AstroMenaceAI>